Package org.apache.avro.compiler.specific

# Class ProtocolTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.avro.compiler.specific.ProtocolTask

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `SchemaTask`

public class ProtocolTask extends org.apache.tools.ant.Task
Ant task to generate Java interface and classes for a protocol.

## Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor
Description
`ProtocolTask()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFileset(org.apache.tools.ant.types.FileSet set)`
Add a fileset.
`protected void`
`doCompile(File src, File dir)`
`void`
`execute()`
Run the compiler.
`org.apache.avro.generic.GenericData.StringType`
`getStringType()`
Get the string type.
`void`
`setDestdir(File dir)`
Set the output directory
`void`
`setFile(File file)`
Set the schema file.
`void`
`setStringType(org.apache.avro.generic.GenericData.StringType type)`
Set the string type.

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProtocolTask

public ProtocolTask()

## Method Details

### setFile

public void setFile(File file)
Set the schema file.

### setDestdir

public void setDestdir(File dir)
Set the output directory

### setStringType

public void setStringType(org.apache.avro.generic.GenericData.StringType type)
Set the string type.

### getStringType

public org.apache.avro.generic.GenericData.StringType getStringType()
Get the string type.

### addFileset

public void addFileset(org.apache.tools.ant.types.FileSet set)
Add a fileset.

### execute

public void execute()
Run the compiler.

Overrides:
  `execute` in class `org.apache.tools.ant.Task`

### doCompile

protected void doCompile(File src, File dir) throws IOException

Throws:
  `IOException`